Create collaborator
curl --request POST \
--url https://api.capitalcheckin.app/v1/collaborators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"position": "<string>",
"department": "<string>",
"phone": "<string>",
"hire_date": "2023-12-25",
"salary": 123,
"manager_id": "<string>",
"work_schedule": "<string>",
"location": "<string>",
"emergency_contact": {
"name": "<string>",
"phone": "<string>",
"relationship": "<string>"
}
}
'import requests
url = "https://api.capitalcheckin.app/v1/collaborators"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"position": "<string>",
"department": "<string>",
"phone": "<string>",
"hire_date": "2023-12-25",
"salary": 123,
"manager_id": "<string>",
"work_schedule": "<string>",
"location": "<string>",
"emergency_contact": {
"name": "<string>",
"phone": "<string>",
"relationship": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
position: '<string>',
department: '<string>',
phone: '<string>',
hire_date: '2023-12-25',
salary: 123,
manager_id: '<string>',
work_schedule: '<string>',
location: '<string>',
emergency_contact: {name: '<string>', phone: '<string>', relationship: '<string>'}
})
};
fetch('https://api.capitalcheckin.app/v1/collaborators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"position": "<string>",
"department": "<string>",
"status": "active",
"role": "admin",
"hire_date": "2023-12-25",
"salary": 123,
"manager_id": "<string>",
"work_schedule": "<string>",
"location": "<string>",
"avatar_url": "<string>",
"emergency_contact": {
"name": "<string>",
"phone": "<string>",
"relationship": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "validation_error",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Endpoints
Create collaborator
Create a new collaborator in the company
POST
/
v1
/
collaborators
Create collaborator
Authorizations
OAuth2 access token for authentication
Body
application/json
Full name of the collaborator
Minimum string length:
2Email address (must be unique)
Job position or title
Department or team
Phone number
Date when collaborator was hired
Annual salary
ID of the manager
Work schedule (full-time, part-time, etc.)
Work location
Show child attributes
Show child attributes
Response
Collaborator created
Unique collaborator identifier
Full name of the collaborator
Email address
Phone number
Job position or title
Department or team
Collaborator status
Available options:
active, inactive, pending Collaborator role
Available options:
admin, manager, employee Date when collaborator was hired
Annual salary
ID of the manager
Work schedule (full-time, part-time, etc.)
Work location
Profile picture URL
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
⌘I